%define major       1.1.0
%define libname     %mklibname %{name} %{major}
%define libname_ssl %mklibname %{name}-ssl %{major}
%define devname     %mklibname %{name} -d

%bcond_without  tests

Name:           hiredis
Version:        1.2.0
Release:        %mkrel 1
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        https://github.com/redis/hiredis/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         hiredis-linking.patch
Patch1:         0001-CMakeList_add-option-to-not-install-NuGet-packaging.patch
Patch2:         0001-Fix-memory-leak.patch
# Already upstream
#
# Security patches
# P100 -> ...
#

BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)
%if %{with tests}
BuildRequires:  pkgconfig(libevent)
BuildRequires:  redis
%endif

%description
Hiredis is a minimalistic C client library for the Redis database.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries
Obsoletes:      %{_lib}hiredis0 < 0.13.3-3

%description -n %{libname}
Hiredis is a minimalistic C client library for the Redis database.

%files -n       %{libname}
%doc README.md CHANGELOG.md
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{libname_ssl}
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries

%description -n %{libname_ssl}
Hiredis is a minimalistic C client library for the Redis database.

%files -n       %{libname_ssl}
%doc README.md CHANGELOG.md
%license COPYING
%{_libdir}/lib%{name}_ssl.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_ssl} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%files -n       %{devname}
%doc README.md CHANGELOG.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}_ssl.so
%{_libdir}/cmake/hiredis/
%{_libdir}/cmake/hiredis_ssl/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}_ssl.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
       %{!?with_tests:-DDISABLE_TESTS=ON} \
       %{?with_tests:-DENABLE_ASYNC_TESTS=ON} \
       -DENABLE_SSL=ON \
       -DENABLE_NUGET=OFF
%cmake_build

%install
%cmake_install

%check
# On aarch64 the test might fail, don't stop!
%{?with_tests:%ctest -VV || : }


%changelog
* Fri Mar 29 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2053060
- new version: 1.2.0 (mga#33028, thanks to Aurelian R)
- now libmajor is 1.1.0
- switch to cmake build system
- enable ssl support
- remove merged upstream patches

* Tue Mar 15 2022 umeabot <umeabot> 0.13.3-8.mga9
+ Revision: 1793746
- Mageia 9 Mass Rebuild

* Wed Dec 15 2021 neoclust <neoclust> 0.13.3-7.mga9
+ Revision: 1762160
- Add P101: Fixes CVE-2021-32765 (mga#29549)

* Tue Feb 25 2020 daviddavid <daviddavid> 0.13.3-6.mga8
+ Revision: 1550423
- add upstream patch to fix CVE-2020-7105 (mga#26255)

* Thu Feb 13 2020 daviddavid <daviddavid> 0.13.3-5.mga8
+ Revision: 1513527
- add upstream patch to do not assume that INSTALL is cp
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.13.3-4.mga7
+ Revision: 1298198
- Mageia 7 Mass Rebuild

* Wed Dec 06 2017 wally <wally> 0.13.3-3.mga7
+ Revision: 1181509
- fix lib pkg name

* Thu Feb 11 2016 umeabot <umeabot> 0.13.3-2.mga6
+ Revision: 954320
- Mageia 6 Mass Rebuild

* Mon Sep 21 2015 akien <akien> 0.13.3-1.mga6
+ Revision: 882117
- Version 0.13.3

* Sun Sep 13 2015 akien <akien> 0.13.2-1.mga6
+ Revision: 878923
- Version 0.13.2

* Mon Jun 22 2015 guillomovitch <guillomovitch> 0.13.1-1.mga6
+ Revision: 839486
- new version 0.13.1
- fix pkgconfig file

* Tue Jan 27 2015 akien <akien> 0.12.1-1.mga5
+ Revision: 812484
- Version 0.12.1

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-3.mga5
+ Revision: 739708
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-2.mga5
+ Revision: 680152
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 akien <akien> 0.11.0-1.mga5
+ Revision: 668838
- imported package hiredis

